NX Open C++ Reference Guide
|
Represents a Form Task feature builder. More...
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance of the form task. | |
NXOpen::ILocation * | CamDirection () |
Returns the cam direction of the form task. | |
double | DistanceTolerance () |
Returns the distance tolerance of the form task. | |
bool | FinishOperation () |
Returns the finish operation switch of the form task, if true the form task is a finish operation, if false it is not. | |
std::vector< NXString > | GetDetails () |
Gets the details of the form task. | |
std::vector< NXOpen::IProfile * > | GetRegionBounds (NXOpen::Die::DirectionOption *direction) |
Gets the region bounds of the form task. | |
std::vector< NXOpen::IProfile * > | GetShapeDetail (NXOpen::Die::DirectionOption *direction) |
Gets the shape detail of the form task as a profile. | |
std::vector< NXOpen::Body * > | GetShapeDetail () |
Gets the shape detail of the form task. | |
NXOpen::Point * | PointInRegion () |
Returns the point in region of the form task. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance of the form task. | |
void | SetCamDirection (NXOpen::ILocation *camDirection) |
Sets the cam direction of the form task. | |
void | SetDetails (std::vector< NXString > &strings) |
Sets the details of the form task. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance of the form task. | |
void | SetFinishOperation (bool finishOperation) |
Sets the finish operation switch of the form task, if true the form task is a finish operation, if false it is not. | |
void | SetPointInRegion (NXOpen::Point *pointInRegion) |
Sets the point in region of the form task. | |
void | SetRegionBounds (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries) |
Sets the region bounds of the form task. | |
void | SetShapeDetail (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries) |
Sets the shape detail of the form task using a profile. | |
void | SetShapeDetail (const std::vector< NXOpen::Body * > &bodies) |
Sets the shape detail of the form task. | |
void | SetTippedProduct (NXOpen::Features::Feature *tippedProduct) |
Sets the tipped product of the form task. | |
NXOpen::Features::Feature * | TippedProduct () |
Returns the tipped product of the form task. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Form Task feature builder.
To create a new instance of this class, use Die::DieCollection::FormTask
Created in NX4.0.0.
double NXOpen::Die::FormTaskBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::ILocation* NXOpen::Die::FormTaskBuilder::CamDirection | ( | ) |
Returns the cam direction of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::FormTaskBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
bool NXOpen::Die::FormTaskBuilder::FinishOperation | ( | ) |
Returns the finish operation switch of the form task, if true the form task is a finish operation, if false it is not.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
std::vector<NXString> NXOpen::Die::FormTaskBuilder::GetDetails | ( | ) |
Gets the details of the form task.
std::vector<NXOpen::IProfile *> NXOpen::Die::FormTaskBuilder::GetRegionBounds | ( | NXOpen::Die::DirectionOption * | direction | ) |
Gets the region bounds of the form task.
direction | Profile direction. |
std::vector<NXOpen::IProfile *> NXOpen::Die::FormTaskBuilder::GetShapeDetail | ( | NXOpen::Die::DirectionOption * | direction | ) |
Gets the shape detail of the form task as a profile.
direction | Profile direction. |
std::vector<NXOpen::Body *> NXOpen::Die::FormTaskBuilder::GetShapeDetail | ( | ) |
Gets the shape detail of the form task.
NXOpen::Point* NXOpen::Die::FormTaskBuilder::PointInRegion | ( | ) |
Returns the point in region of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
void NXOpen::Die::FormTaskBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
angleTolerance | angle tolerance |
void NXOpen::Die::FormTaskBuilder::SetCamDirection | ( | NXOpen::ILocation * | camDirection | ) |
Sets the cam direction of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
camDirection | cam direction |
void NXOpen::Die::FormTaskBuilder::SetDetails | ( | std::vector< NXString > & | strings | ) |
Sets the details of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
strings | Detail strings. NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Die::FormTaskBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
distanceTolerance | distance tolerance |
void NXOpen::Die::FormTaskBuilder::SetFinishOperation | ( | bool | finishOperation | ) |
Sets the finish operation switch of the form task, if true the form task is a finish operation, if false it is not.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
finishOperation | finish operation |
void NXOpen::Die::FormTaskBuilder::SetPointInRegion | ( | NXOpen::Point * | pointInRegion | ) |
Sets the point in region of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
pointInRegion | point in region |
void NXOpen::Die::FormTaskBuilder::SetRegionBounds | ( | NXOpen::Die::DirectionOption | direction, |
const std::vector< NXOpen::IProfile * > & | profileEntries | ||
) |
Sets the region bounds of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
direction | Profile direction. |
profileEntries | The profile entries, can be curves, edges, faces, sketches or curve features. |
void NXOpen::Die::FormTaskBuilder::SetShapeDetail | ( | NXOpen::Die::DirectionOption | direction, |
const std::vector< NXOpen::IProfile * > & | profileEntries | ||
) |
Sets the shape detail of the form task using a profile.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
direction | Profile direction. |
profileEntries | The profile entries, can be curves, edges, faces, sketches or curve features. |
void NXOpen::Die::FormTaskBuilder::SetShapeDetail | ( | const std::vector< NXOpen::Body * > & | bodies | ) |
Sets the shape detail of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
bodies | Sheet bodies defining the unfinished shape. |
void NXOpen::Die::FormTaskBuilder::SetTippedProduct | ( | NXOpen::Features::Feature * | tippedProduct | ) |
Sets the tipped product of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
tippedProduct | tipped product |
NXOpen::Features::Feature* NXOpen::Die::FormTaskBuilder::TippedProduct | ( | ) |
Returns the tipped product of the form task.
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")